<?php



class TbluserdayscoreMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbluserdayscoreMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbluserdayscorePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbluserdayscorePeer::TABLE_NAME);
		$tMap->setPhpName('Tbluserdayscore');
		$tMap->setClassname('Tbluserdayscore');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('UDSC_USER', 'UdscUser', 'INTEGER' , 'tbluser', 'US_ID', true, null);

		$tMap->addPrimaryKey('UDSC_DATE', 'UdscDate', 'TIMESTAMP', true, null);

		$tMap->addColumn('UDSC_SCORE', 'UdscScore', 'INTEGER', false, null);

	} 
} 